summaryrefslogtreecommitdiffstats
path: root/snippets
diff options
context:
space:
mode:
authorFabian Affolter <fab@fedoraproject.org>2008-12-13 13:59:59 +0100
committerFabian Affolter <fab@fedoraproject.org>2008-12-13 13:59:59 +0100
commit04ec7b3a3d5a2fef28e7d02dcc12f7f7a041aeb6 (patch)
tree8d089c33a0c92b11fd87e63c6335bc307bef66e3 /snippets
parentc9c032f54f565c48a5231cd2f5ec993ca2c0b034 (diff)
downloadspin-kickstarts-04ec7b3a3d5a2fef28e7d02dcc12f7f7a041aeb6.tar.gz
spin-kickstarts-04ec7b3a3d5a2fef28e7d02dcc12f7f7a041aeb6.tar.xz
spin-kickstarts-04ec7b3a3d5a2fef28e7d02dcc12f7f7a041aeb6.zip
- remove DOS line endings
- add some more gconf stuff
Diffstat (limited to 'snippets')
-rw-r--r--snippets/eeepc900-modifications.ks317
1 files changed, 164 insertions, 153 deletions
diff --git a/snippets/eeepc900-modifications.ks b/snippets/eeepc900-modifications.ks
index 1adf4e9..66235c1 100644
--- a/snippets/eeepc900-modifications.ks
+++ b/snippets/eeepc900-modifications.ks
@@ -1,153 +1,164 @@
-###### Eee PC 900 stuff ####################################################
-#
-###### Hotkeys #############################################################
-cat > /etc/acpi/actions/hotkeys.sh << EOHOTKEY
-#!/bin/bash
-
-export DISPLAY=:0
-
-case "$3" in
-
- #Fn+F2
- 00000010)
- # Wlan On
- /etc/acpi/actions/wlan.sh poweron
- ;;
- 00000011)
- # Wlan Off
- /etc/acpi/actions/wlan.sh poweroff
- ;;
-
- #Fn+F6
- 00000012)
- # Webcam switch
- /etc/acpi/actions/camera.sh
- # TaskManager
- # /usr/bin/gnome-system-monitor
- ;;
-
- #Fn+F7
- 00000013)
- # Volume mute
- /usr/bin/amixer set -D hw:0 Master toggle
- ;;
-
- #Fn+F8
- 00000014)
- # Volume down
- /usr/bin/amixer set -D hw:0 Master 10%- unmute
- ;;
-
- #Fn+F9
- 00000015)
- # Volume up
- /usr/bin/amixer set -D hw:0 Master 10%+ unmute
- ;;
-
- #Fn+F5
- 00000030)
-
- /usr/bin/xrandr --output VGA --mode 1024x768 \
- --output LVDS --off
-
- if [[ "$?" != "0" ]]; then
-
- /usr/bin/xrandr --output VGA --preferred \
- --output LVDS --off
-
- fi
- ;;
-
- 00000031)
-
- /usr/bin/xrandr --output LVDS --mode 800x480 \
- --output VGA --mode 800x600
-
- ;;
-
- 00000032)
-
- /usr/bin/xrandr --output VGA --off \
- --output LVDS --preferred
-
- ;;
- *)
- logger "ACPI hotkey $3 action is not defined"
- ;;
-esac
-EOHOTKEY
-
-###### WLAN #############################################################
-cat > /etc/acpi/actions/wlan.sh << EOF
-#!/bin/bash
-
-PWR=$(cat /sys/devices/platform/eeepc/wlan)
-
-UnloadModules() {
- rmmod ath_pci
- rmmod ath_rate_sample
- rmmod wlan_scan_sta
- rmmod wlan_tkip
- rmmod wlan_wep
- rmmod wlan
-}
-
-LoadModules() {
- modprobe ath_pci
-}
-
-case $1 in
- poweron)
- if [[ "$PWR" = "0" ]]; then
- modprobe pciehp pciehp_force=1
-
- echo 1 > /sys/devices/platform/eeepc/wlan
-
- rmmod pciehp
-
- fi
- ;;
-
- poweroff)
- if [[ "$PWR" = "1" ]]; then
-
- modprobe pciehp pciehp_force=1
-
- ifconfig ath0 down
-
- wlanconfig ath0 destroy
-
- UnloadModules
-
- echo 0 > /sys/devices/platform/eeepc/wlan
-
- rmmod pciehp
-
- fi
- ;;
-esac
-EOF
-
-###### Webcam #############################################################
-cat > /etc/acpi/actions/camera.sh << EOF
-
-#!/bin/bash
-
-CAMERA=$(cat /sys/devices/platform/eeepc/camera)
-
- if [[ "$CAMERA" = "0" ]]; then
- echo 1 > /sys/devices/platform/eeepc/camera
- else
- echo 0 > /sys/devices/platform/eeepc/camera
- fi
-EOF
-
-chmod +x "/etc/acpi/actions/*"
-
-###### Shutdown fix #########################################################
-echo "modprobe -r snd-hda-intel" >> /sbin/halt.local
-chmod 755 /sbin/halt.local
-
-###### Gnome display stuff ##################################################
-
-gconftool-2 --type boolean --set /apps/nautilus/preferences/always_use_browser true \ No newline at end of file
+###### Eee PC 900 stuff ####################################################
+#
+###### Hotkeys #############################################################
+cat > /etc/acpi/actions/hotkeys.sh << EOHOTKEY
+#!/bin/bash
+
+export DISPLAY=:0
+
+case "$3" in
+
+ #Fn+F2
+ 00000010)
+ # Wlan On
+ /etc/acpi/actions/wlan.sh poweron
+ ;;
+ 00000011)
+ # Wlan Off
+ /etc/acpi/actions/wlan.sh poweroff
+ ;;
+
+ #Fn+F6
+ 00000012)
+ # Webcam switch
+ /etc/acpi/actions/camera.sh
+ # TaskManager
+ # /usr/bin/gnome-system-monitor
+ ;;
+
+ #Fn+F7
+ 00000013)
+ # Volume mute
+ /usr/bin/amixer set -D hw:0 Master toggle
+ ;;
+
+ #Fn+F8
+ 00000014)
+ # Volume down
+ /usr/bin/amixer set -D hw:0 Master 10%- unmute
+ ;;
+
+ #Fn+F9
+ 00000015)
+ # Volume up
+ /usr/bin/amixer set -D hw:0 Master 10%+ unmute
+ ;;
+
+ #Fn+F5
+ 00000030)
+
+ /usr/bin/xrandr --output VGA --mode 1024x768 \
+ --output LVDS --off
+
+ if [[ "$?" != "0" ]]; then
+
+ /usr/bin/xrandr --output VGA --preferred \
+ --output LVDS --off
+
+ fi
+ ;;
+
+ 00000031)
+
+ /usr/bin/xrandr --output LVDS --mode 800x480 \
+ --output VGA --mode 800x600
+
+ ;;
+
+ 00000032)
+
+ /usr/bin/xrandr --output VGA --off \
+ --output LVDS --preferred
+
+ ;;
+ *)
+ logger "ACPI hotkey $3 action is not defined"
+ ;;
+esac
+EOHOTKEY
+
+###### WLAN #############################################################
+cat > /etc/acpi/actions/wlan.sh << EOF
+#!/bin/bash
+
+PWR=$(cat /sys/devices/platform/eeepc/wlan)
+
+UnloadModules() {
+ rmmod ath_pci
+ rmmod ath_rate_sample
+ rmmod wlan_scan_sta
+ rmmod wlan_tkip
+ rmmod wlan_wep
+ rmmod wlan
+}
+
+LoadModules() {
+ modprobe ath_pci
+}
+
+case $1 in
+ poweron)
+ if [[ "$PWR" = "0" ]]; then
+ modprobe pciehp pciehp_force=1
+
+ echo 1 > /sys/devices/platform/eeepc/wlan
+
+ rmmod pciehp
+
+ fi
+ ;;
+
+ poweroff)
+ if [[ "$PWR" = "1" ]]; then
+
+ modprobe pciehp pciehp_force=1
+
+ ifconfig ath0 down
+
+ wlanconfig ath0 destroy
+
+ UnloadModules
+
+ echo 0 > /sys/devices/platform/eeepc/wlan
+
+ rmmod pciehp
+
+ fi
+ ;;
+esac
+EOF
+
+###### Webcam #############################################################
+cat > /etc/acpi/actions/camera.sh << EOF
+
+#!/bin/bash
+
+CAMERA=$(cat /sys/devices/platform/eeepc/camera)
+
+ if [[ "$CAMERA" = "0" ]]; then
+ echo 1 > /sys/devices/platform/eeepc/camera
+ else
+ echo 0 > /sys/devices/platform/eeepc/camera
+ fi
+EOF
+
+chmod +x "/etc/acpi/actions/*"
+
+###### Shutdown fix #########################################################
+echo "modprobe -r snd-hda-intel" >> /sbin/halt.local
+chmod 755 /sbin/halt.local
+
+###### Gnome display stuff ##################################################
+
+gconftool-2 --set /apps/nautilus/preferences/desktop_font --type string "Sans 8"
+gconftool-2 --set /desktop/gnome/interface/document_font_name --type string "Sans 8"
+gconftool-2 --set /desktop/gnome/interface/font_name --type string "Sans 8"
+gconftool-2 --set /apps/metacity/general/titlebar_font --type string "Sans Bold 8"
+gconftool-2 --set /desktop/gnome/interface/monospace_font_name --type string "Monospace 8"
+gconftool-2 --set /apps/metacity/window_keybindings/toggle_fullscreen --type string "<Alt>F11"
+gconftool-2 --set /desktop/gnome/interface/toolbar_style --type string "icons"
+gconftool-2 --set /desktop/gnome/sound/default_mixer_tracks --type list --list-type string "[PCM]"
+gconftool-2 --set /apps/gnome-power-manager/notify/low_capacity --type bool 0
+gconftool-2 --set /apps/compiz/plugins/move/allscreens/options/constrain_y --type bool 0
+gconftool-2 --set /apps/panel/toplevels/top_panel_screen0/size --type integer 19
+gconftool-2 --set /apps/panel/toplevels/bottom_panel_screen0/size --type integer 19